Goals and Rationale
===================

:date: 2020-07-12
:tags: meta
:summary: This website may evolve in other directions in the future but these
    are the initial goals: to act as a landing page and to allow me to keep a
    professional blog.

A landing page
--------------

After the recent Yocto Project Virtual Developer Day I realised I need a
place to share some basic details, contact info and links to projects I'm
involved in. Essentially a virtual business card to share at online events.
I find when I'm left with just an email address after an event where I've met
many new people that I'm often lacking context and reminders of why I have
been given the email address. Hopefully by being able to share a link to this
site as well as my email address I'll be able to provide some of that context
to the next folks I meet.

A professional blog
-------------------

I realised that this is also a good opportunity to set up a place where I can
collect conference talks that I have given, written content longer than a
tweet and anything else I want to share. I've found setting up a Twitter
account for my professional work has been a definite benefit but the platform
really lends itself to only a narrow set of interactions. Longer form content
can be posted as a thread but it really doesn't feel like a smooth
experience. In addition, where some writing may be relevant for a longer time
period I want to ensure that it is posted on a platform which I can control
so I can share it on my terms. It's also much easier to backup a git
repository than a twitter feed.
